### Function

# FwupdPlugin byte_array_append_safe

unstable since: 2.1.1

#### Declaration [src]

    gboolean
    fu_byte_array_append_safe (
      GByteArray* array,
      const guint8* buf,
      gsize bufsz,
      gsize offset,
      gsize n,
      GError** error
    )

#### Description [src]

Adds the content of `buf` at `offset` to `array`.

Available since: 2.1.1

#### Parameters

`array`

  Type: An array of `guint8`

  A `GByteArray`.

  The data is owned by the caller of the function.

`buf`

  Type: `const guint8*`

  A raw byte buffer.

  The data is owned by the caller of the function.

`bufsz`

  Type: `gsize`

  Size of `buf`.

`offset`

  Type: `gsize`

  Offset in bytes.

`n`

  Type: `gsize`

  Number of bytes.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the function if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` if the access is safe, `FALSE` otherwise.